<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <s:div id="globalDiv">
            <h:form id="globalForm">
                <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
                <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                               value="#{xuaTestInstanceManager.filter.urlParameters}"/>
                <script>
                    updateUrl("globalForm:filterUrlParameters");
                    jq162("#globalForm\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalForm:filterUrlParameters");
                        });

                </script>
                <h1>#{messages['net.ihe.gazelle.atna.XServiceProviderTestInstances']}</h1>
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.proxy.Refresh']}"
                                         render="logTable">
                            <span class="fa fa-refresh"></span>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.atna.ResetCriteria']}"
                                         actionListener="#{xuaTestInstanceManager.clearFilter()}"
                                         render="globalForm">
                            <span class="fa fa-times-circle"></span>
                        </a4j:commandLink>
                    </ui:define>
                    <div class="row">
                        <div class="col-md-6">
                            <ui:include src="/filter/filterDate.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.ExecutionDate']}"/>
                                <ui:param name="filterId" value="timestamp"/>
                                <ui:param name="filter" value="#{xuaTestInstanceManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-md-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.Endpoint']}"/>
                                <ui:param name="filterId" value="endpoint"/>
                                <ui:param name="filter" value="#{xuaTestInstanceManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.TestCase']}"/>
                                <ui:param name="filterId" value="testcase"/>
                                <ui:param name="filter" value="#{xuaTestInstanceManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.questionnaire.Transaction']}"/>
                                <ui:param name="filterId" value="transaction"/>
                                <ui:param name="filter" value="#{xuaTestInstanceManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.Status']}"/>
                                <ui:param name="filterId" value="status"/>
                                <ui:param name="filter" value="#{xuaTestInstanceManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.ExecutedBy']}"/>
                                <ui:param name="filterId" value="username"/>
                                <ui:param name="filter" value="#{xuaTestInstanceManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>

                </ui:decorate>
                <gri:panel pid="results">
                    #{dataTableStateHolder.setDescendingOn('timestamp')}
                    <rich:dataTable value="#{xuaTestInstanceManager.getTestInstances()}" var="entry" id="tiTable"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="tiTableDs">
                        <g:column sortBy="#{'id'}" sortOrder="#{dataTableStateHolder.sortOrders['id']}"
                                  filterBy="#{'id'}" filterEvent="keyup">
                            <ui:define name="header">#{messages['net.ihe.gazelle.audit.message.Id']}</ui:define>
                            <h:outputText value="#{entry.id}"/>
                        </g:column>
                        <g:column sortBy="#{'timestamp'}" sortOrder="#{dataTableStateHolder.sortOrders['timestamp']}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.atna.ExecutionDate']}</ui:define>
                            <g:date value="#{entry.timestamp}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.atna.ExecutedBy']}</ui:define>
                            <h:outputText value="#{entry.username}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.atna.TestCase']}</ui:define>
                            <h:outputText value="#{entry.testCase.keyword}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.Transaction']}</ui:define>
                            <h:outputText value="#{entry.ancillaryTransaction.keyword}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.atna.Status']}</ui:define>
                            <h:outputText value="#{entry.testStatus}" styleClass="#{entry.testStatus}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.proxy.Action']}</ui:define>
                            <g:imagelink value="#{entry}" fontIcon="gzl-icon-search"/>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="tiTableDs"/>
                                <ui:param name="dataTableId" value="tiTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </gri:panel>
            </h:form>
        </s:div>
    </ui:define>
</ui:composition>